package com.caimei.model.po;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/12/16
 */
@Data
public class CmHeheCollagePo implements Serializable {

    private Integer skuId;

    private Integer id;
    /**
     * 拼团商品id
     */
    private Integer productId;

    /**
     * 拼团商品id
     */
    private BigDecimal price;

    /**
     * 拼团人数
     */
    private Integer memberNum;

    /**
     * 拼团状态：0拼团中（拼主未支付） 1拼团中，2已拼成
     */
    private Integer status;

    /**
     * 开始时间
     */
    private Date startTime;

    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 拼成时间
     */
    private Date completeTime;

    /**
     * 拼主标识：0不是，1是
     */
    private Integer launchFlag;
}
