package com.caimei.model.po;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/8/30
 */
@Data
public class CouponOrderRecordPo implements Serializable {
    private Integer id;
    /**
     * 订单id
     */
    private Integer orderId;
    /**
     * 用户领券id(对应cm_receive_coupon)
     */
    private Integer receiveCouponId;
    /**
     * 劵类型 1活动券 2专享券 3新人券 4好友分享券 5好友消费券
     */
    private Integer couponType;
    /**
     * 优惠券金额(面值)
     */
    private Double couponAmount;
    /**
     * 优惠满减条件金额
     */
    private Double touchPrice;
    /**
     * 创建时间
     */
    private Date createDate;
}

