package com.caimei.model.po;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/10/28
 */
@Data
public class ReceiveCouponPo implements Serializable {
    private Integer receiveCouponId;

    /**
     * 优惠券id
     */
    private Integer couponId;

    /**
     * 优惠券分享id
     */
    private Integer couponShareId;

    /**
     * 用户id
     */
    private Integer userId;

    /**
     * 领取渠道:1小程序，2订单退回，3领券购买（取消订单时取消领取）
     */
    private Integer source;

    /**
     * 状态:1未使用，2已使用
     */
    private Integer status;

    /**
     * 领取时间
     */
    private Date receiveTime;

    /**
     * 删除标志
     */
    private Integer delFlag;

}
