package com.caimei.model.po;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * ReductionVo
 *
 * @author : Aslee
 * @date : 2021/12/20
 */
@Data
public class ReductionUserPo implements Serializable {
    /**
     * 分享减免id
     */
    private Integer reductionId;

    /**
     * 机构用户id
     */
    private Integer userId;

    /**
     * 分享渠道：1微信好友，2微信朋友圈
     */
    private Integer shareType;

    /**
     * 分享减免用户id
     */
    private Integer reductionUserId;

    /**
     * 减免金额
     */
    private BigDecimal reducedAmount;

    /**
     * 减免条件
     */
    private BigDecimal touchPrice;

    private static final long serialVersionUID = 1L;
}