package com.caimei.service;

import com.alibaba.fastjson.JSONObject;
import com.caimei.model.ResponseJson;
import com.caimei.model.dto.HeliDto;
import com.caimei.model.vo.AccountResVo;
import com.caimei.model.vo.NotifyResponseVo;
import org.springframework.http.HttpHeaders;

import java.beans.IntrospectionException;
import java.lang.reflect.InvocationTargetException;

/**
 * Description
 *
 * @author : zzj
 * @date : 2021/11/11
 */
public interface HeliPayService {

    ResponseJson<JSONObject> payOnline(HeliDto heliDto, HttpHeaders headers);
    /**
     * 回调
     */
    String paymentCallback(NotifyResponseVo res) throws IntrospectionException, InvocationTargetException, IllegalAccessException;

    /**
     * 延时分账异步回调
     */
    String delayedSplittingCallback(AccountResVo data);

    ResponseJson<JSONObject> getPayOrderResult(String mbOrderId);

}
