package com.caimei.config;

import lombok.extern.slf4j.Slf4j;
import org.springframework.context.EnvironmentAware;
import org.springframework.core.env.Environment;
import org.springframework.stereotype.Component;
import reactor.util.annotation.NonNull;

@Slf4j
@Component
public class EnvBeanUtil implements EnvironmentAware {

    private static Environment env;

    @Override
    public void setEnvironment(@NonNull Environment environment) {
        env = environment;
    }

    public static String getConfig(String key) {
        return env.getProperty(key);
    }
}
