package com.caimei.model.po;

import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/11/3
 */
@Data
public class CouponSharePo implements Serializable {
    private Integer id;
    /**
     * 分享者用户id
     */
    private Integer shareUserId;
    /**
     * 被分享者用户id
     */
    private Integer receiveUserId;
    /**
     * 分享得到的好友分享/消费券id
     */
    private Integer shareCouponId;
    /**
     * 消费分享券的订单id(唯一)
     */
    private Integer orderId;
    /**
     * 优惠券类型：1好友分享券，2好友消费券，3消费分享券
     */
    private Integer type;
}
