package com.caimei.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * ReductionVo
 *
 * @author : Aslee
 * @date : 2021/12/20
 */
@Data
public class ReductionVo implements Serializable {
    /**
     * 分享减免id
     */
    private Integer reductionId;

    /**
     * 减免金额
     */
    private BigDecimal reducedAmount;

    /**
     * 减免条件
     */
    private BigDecimal touchPrice;

    /**
     * 分享次数
     */
    private Integer shareNum;

    private static final long serialVersionUID = 1L;
}